E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gdatetime.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include <ctime>`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::EpochTime
| A subsecond-resolution timestamp based on a time_t. More...
class | G::DateTime
| A low-level static class used by Date and Time. More...

## Namespaces
| G
| Low-level classes.

## Functions
EpochTime | G::operator+ (EpochTime et, std::time_t s)
EpochTime | G::operator+ (EpochTime lhs, EpochTime rhs)
EpochTime | G::operator- (EpochTime big, EpochTime small_)
bool | G::operator< (EpochTime lhs, EpochTime rhs)
bool | G::operator== (EpochTime lhs, EpochTime rhs)
bool | G::operator!= (EpochTime lhs, EpochTime rhs)
bool | G::operator<= (EpochTime lhs, EpochTime rhs)
bool | G::operator>= (EpochTime lhs, EpochTime rhs)
bool | G::operator> (EpochTime lhs, EpochTime rhs)
std::ostream & | G::operator<< (std::ostream &s, const EpochTime &et)